## ros-humble-rmf-visualization-fleet-states 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rmf_visualization_fleet_states)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include(GNUInstallDirs)

set(dep_pkgs
  rclcpp
  rclcpp_components
  rmf_fleet_msgs
  rmf_visualization_msgs
  geometry_msgs
  visualization_msgs
)
foreach(pkg ${dep_pkgs})
  find_package(${pkg} REQUIRED)
endforeach()

#===============================================================================
add_library(fleetstates_visualizer SHARED src/FleetStatesVisualizer.cpp)

target_link_libraries(fleetstates_visualizer
  PRIVATE
    rclcpp::rclcpp
    ${rclcpp_components_LIBRARIES}
    ${rmf_fleet_msgs_LIBRARIES}
    ${rmf_visualization_msgs_LIBRARIES}
    ${visualization_msgs_LIBRARIES}
    ${geometry_msgs_LIBRARIES}
)

target_include_directories(fleetstates_visualizer
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${rclcpp_INCLUDE_DIRS}
    ${rclcpp_components_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${rmf_visualization_msgs_INCLUDE_DIRS}
    ${visualization_msgs_INCLUDE_DIRS}
    ${geometry_msgs_INCLUDE_DIRS}
)

target_compile_features(fleetstates_visualizer INTERFACE cxx_std_17)

rclcpp_components_register_node(fleetstates_visualizer
  PLUGIN "FleetStatesVisualizer"
  EXECUTABLE fleetstates_visualizer_node)

#===============================================================================
if(BUILD_TESTING)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(rmf_utils REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN src
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )

endif()

#===============================================================================
install(
  TARGETS fleetstates_visualizer
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

ament_package()

=== debian/changelog ===
ros-humble-rmf-visualization-fleet-states (2.0.2-1jammy) jammy; urgency=high

  * Port version bump and changes from main to humble
  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/issues/57>)
  * Contributors: Esteban Martinena, Grey, Yadunund

 -- Morgan Quigley <mquigley@openrobotics.org>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rmf-visualization-fleet-states (2.0.1-1jammy) jammy; urgency=high



 -- Morgan Quigley <mquigley@openrobotics.org>  Mon, 14 Nov 2022 16:00:00 -0000

ros-humble-rmf-visualization-fleet-states (2.0.0-1jammy) jammy; urgency=high

  * Update to ROS 2 component: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Morgan Quigley <mquigley@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-humble-rmf-visualization-fleet-states (1.2.1-1jammy) jammy; urgency=high

  * Fix style checking in CI: (#37 <https://github.com/open-rmf/rmf_visualization/pull/37>)
  * Contributors: Grey

 -- Morgan Quigley <mquigley@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-humble-rmf-visualization-fleet-states (1.2.0-1jammy) jammy; urgency=high

  * Renamed package to rmf_visualization_fleet_states: (#8 <https://github.com/open-rmf/rmf_visualization/pull/8>)

 -- Morgan Quigley <mquigley@openrobotics.org>  Sun, 13 Jun 2021 16:00:00 -0000

ros-humble-rmf-visualization-fleet-states (1.1.0-1jammy) jammy; urgency=high

  * Fix linking of scripts when installing in development mode: (#57 <https://github.com/osrf/rmf_schedule_visualizer/pull/57>)
  * Multi-level support where only robots on the active floor as specified in the SchedulePanel are visualized: (#58 <https://github.com/osrf/rmf_schedule_visualizer/pull/58>)
  * Contributors: Kevin_Skywalker, Michael X. Grey, Yadu

 -- Morgan Quigley <mquigley@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-humble-rmf-visualization-fleet-states (1.0.0-1jammy) jammy; urgency=high

  * A ROS 2 node that publishers RViz markers to visualize the pose of mobile robots as specified in rmf_fleet_msgs::RobotState messages.
  * Contributors: Morgan Quigley, Yadu

 -- Morgan Quigley <mquigley@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-visualization-fleet-states
Section: misc
Priority: optional
Maintainer: Morgan Quigley <mquigley@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-fleet-msgs, ros-humble-rmf-utils <!nocheck>, ros-humble-rmf-visualization-msgs, ros-humble-visualization-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-visualization-fleet-states
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-fleet-msgs, ros-humble-rmf-visualization-msgs, ros-humble-visualization-msgs, ros-humble-ros-workspace
Description: A package to visualize positions of robots from different fleets in the a building

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-visualization-fleet-states//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
